#
# spec file for package jazz (Version 4.1.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel gpp libgpp libnetpbm netpbm openmotif openmotif-devel te_latex tetex xf86 xpm yacc
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libnetpbm libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         jazz
Copyright:    GPL
Group:        Applications/Sound
Provides:     jazz10 
Autoreqprov:  on
Version:      4.1.8
Release:      71
Summary:      Midi sequencer
URL:          http://www.jazzware.com
Source: jazz-src-%{version}.tar.bz2
Source1: wx168_1.tar.bz2
Source2: jazz.sh
Patch: jazz-%{version}.dif
Patch1: midinetd.dif
Patch2: wxwin.dif
Patch3: jazz-c++.dif
Icon:     jazz.xpm
BuildRoot:	/tmp/%{name}-%{version}-root

%description
Complete midi sequencer which supports recording and playing as a bundle
of editing functions. There are two main windows. One displays the
complete track the other further details. It requires either a midi card
supported by /dev/sequencer or a complete MPU 401 compatible device.

Authors:
--------
    Andreas Voss <andreas@avix.rhein-neckar.de>
    Per Sigmond <Per.Sigmond@hiagder.no>

SuSE series: snd

%prep
%setup -q -T -c -n jazz -a 0 -a 1
cd jazz-src-%{version}
%patch -p1
%patch1 -p1
%patch3
cd ..
%patch2

%build
# build wxwin-1.6.8e
make -C src/x -f makefile.unx motif OPTIONS="$RPM_OPT_FLAGS"
make -C utils/wxhelp/src -f makefile.unx motif OPTIONS="$RPM_OPT_FLAGS"
make -C utils/tex2rtf/src -f makefile.unx nogui OPTIONS="$RPM_OPT_FLAGS"
mkdir -p bin
install -s -m 755 utils/wxhelp/src/wxhelp_motif bin/wxhelp
install -s -m 755 utils/tex2rtf/src/tex2rtf_nogui bin/tex2rtf
# build jazz++
cd jazz-src-%{version}
make -C bitmaps
make -C src WXDIR=$RPM_BUILD_DIR/jazz CFLAGS="$RPM_OPT_FLAGS"
make -C midinetd CFLAGS="$RPM_OPT_FLAGS"
PATH=$RPM_BUILD_DIR/jazz/bin:$PATH \
make -C doc ps html xlp
gzip -9nvf doc/jazz.ps

%install
rm -rf $RPM_BUILD_ROOT
cd jazz-src-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,X11R6/bin}
install -s -m 755 src/motif/jazz $RPM_BUILD_ROOT/usr/X11R6/bin/jazz-bin
install -m 755 $RPM_SOURCE_DIR/jazz.sh $RPM_BUILD_ROOT/usr/X11R6/bin/jazz
install -s -m 755 midinetd/midinetd $RPM_BUILD_ROOT/usr/sbin/.
for i in song song/arpeggio song/rmg song/shuffle; do
  mkdir -p $RPM_BUILD_ROOT/usr/share/jazz/$i
  install -m 644 $i/*.* $RPM_BUILD_ROOT/usr/share/jazz/$i
done
install -m 644 conf/*.* $RPM_BUILD_ROOT/usr/share/jazz
install -m 644 conf/README $RPM_BUILD_ROOT/usr/share/jazz
install -m 644 doc/jazz.xlp $RPM_BUILD_ROOT/usr/share/jazz
install -m 644 jazz.cfg $RPM_BUILD_ROOT/usr/share/jazz
cd ..
install -s -m 755 bin/* $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc jazz-src-%{version}/{CHANGELOG,install.txt,jazz.lsm,linux/mpu.doc}
%doc jazz-src-%{version}/doc/{jazz.{tex,ps.gz},html}
/usr/X11R6/bin/jazz
/usr/X11R6/bin/jazz-bin
/usr/sbin/midinetd
/usr/X11R6/bin/wxhelp
# /usr/X11R6/bin/tex2rtf
%dir /usr/share/jazz
/usr/share/jazz/*

%changelog -n jazz
* Fri Sep 14 2001 - schwab@suse.de
- Fix conflicting declarations and casts.
* Thu Jul 26 2001 - tiwai@suse.de
- removed experimental multiple-device patch.
* Tue Jul 24 2001 - tiwai@suse.de
- updated to jazz-4.1.8.
* Mon Nov 27 2000 - ro@suse.de
- fixed neededforbuild
* Mon Nov 20 2000 - nadvornik@suse.cz
- compiled with openmotif
* Thu Nov 16 2000 - tiwai@suse.de
- Updated to jazz++-4.1.7.
* Fri Nov 10 2000 - nadvornik@suse.cz
- used RPM_OPT_FLAGS
- added url
* Wed Nov 08 2000 - tiwai@suse.de
- Added a start-up script.
- Moved jazz.xlp to /usr/share/jazz
- Copy the default config file at the first start
  (only if not exist).
* Tue Nov 07 2000 - tiwai@suse.de
- Updated to 4.1.5 with ALSA support.
- Including a part of wxwin-1.6.8e for building jazz with lesstif.
  Now wxwin library is linked statically with jazz++.
  wxhelp and tex2rtf are generated inside.
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Sat Jan 29 2000 - kasal@suse.de
- upgrade to version 2.6b
- get rid of Makefile.Linux
- added BuildRoot
- patch mpu.c for newer kernels ( >= 2.1.0 )
* Fri Oct 29 1999 - kukuk@suse.de
- Remove -m486 from Makefile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 23 1998 - ro@suse.de
- don't build driver from Makefile.Linux: is done in kernmod
* Thu Nov 12 1998 - ro@suse.de
- player.cc added include errno.h
- mpu-module: only use kernel-includes for module
* Thu Oct 02 1997 - rj@suse.de
- works now with build
* Thu Jan 02 1997 - mantel@suse.de
  recompiled with kernel 2.0.25
